curl --request GET \
--url https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1767173359430,
"transaction_id": "6b65f29500aa4ec0967581ff8dedd097",
"sub_code": "SUCCESS",
"message": "Processing done",
"data": [
{
"live_case_url": "https://services.ecourts.gov.in/ecourtindia_v6/",
"archive_case_url": "https://production.deepvue.tech/v1/background-verification/court-record-check/archive?token=gAAAAABpgLrCpv_eD00etRG5jxh38ISU3Yf4SYySdYuVy2_x5uW_zE8pneoCwnKxmFRtpN2MFxU6AMiXd8ynnY6g_Kohx-0BfbCvHrTEPGD-ZB6Tn-Q-wdyUZ0fAh2eMTTZEKbTX7s0PtUro5ombKqzuMFiuKit0JVsytdAH6cW3arqXoE4_VQPVFmNXrma0eV_Uyv9EriGQIbtq5Gf3GnYFZ1kXV_lH-2IiY9_nPxEkw05RApz872jkrpw6ELV3wTarv1rtdxtZ&exp=1772636098&sig=4a6f5403303cd9c94ce9efc89b1fc0747580a241d80904b5f693f0205b0d83f9",
"case_no": "202300001112019",
"case_year": "2019",
"case_status": "Disposed",
"case_category": "criminal",
"court_name": "District and session Court, Bilaspur",
"state_name": "Chhattisgarh",
"district_name": "Bilaspur",
"name": "VIJAY KUMAR MAHAN",
"father_name": "",
"score": 95,
"source": "ecourt"
}
]
}Result
Fetch the status and result of the court record check using the transaction ID received during request creation.
curl --request GET \
--url https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/court-record-check/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1767173359430,
"transaction_id": "6b65f29500aa4ec0967581ff8dedd097",
"sub_code": "SUCCESS",
"message": "Processing done",
"data": [
{
"live_case_url": "https://services.ecourts.gov.in/ecourtindia_v6/",
"archive_case_url": "https://production.deepvue.tech/v1/background-verification/court-record-check/archive?token=gAAAAABpgLrCpv_eD00etRG5jxh38ISU3Yf4SYySdYuVy2_x5uW_zE8pneoCwnKxmFRtpN2MFxU6AMiXd8ynnY6g_Kohx-0BfbCvHrTEPGD-ZB6Tn-Q-wdyUZ0fAh2eMTTZEKbTX7s0PtUro5ombKqzuMFiuKit0JVsytdAH6cW3arqXoE4_VQPVFmNXrma0eV_Uyv9EriGQIbtq5Gf3GnYFZ1kXV_lH-2IiY9_nPxEkw05RApz872jkrpw6ELV3wTarv1rtdxtZ&exp=1772636098&sig=4a6f5403303cd9c94ce9efc89b1fc0747580a241d80904b5f693f0205b0d83f9",
"case_no": "202300001112019",
"case_year": "2019",
"case_status": "Disposed",
"case_category": "criminal",
"court_name": "District and session Court, Bilaspur",
"state_name": "Chhattisgarh",
"district_name": "Bilaspur",
"name": "VIJAY KUMAR MAHAN",
"father_name": "",
"score": 95,
"source": "ecourt"
}
]
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Path Parameters
Transaction ID returned while creating the court/FIR record check request
Query Parameters
Matching logic used for name comparison. Allowed values: EXACT_MATCH, EXACT_FUZZY, PARTIAL_EXACT, PARTIAL_FUZZY, NO_MATCH. Multiple values can be passed as a comma-separated string.
Matching logic used for father’s name comparison. Allowed values are the same as name_match_type. Multiple values can be passed as a comma-separated string.
Party type in the case. Allowed values: RESPONDENT, PETITIONER. Multiple values can be passed as a comma-separated string.
Category of court case. Allowed values: CIVIL, CRIMINAL. Multiple values can be passed as a comma-separated string.
Current status of the case. Allowed values: PENDING, DISPOSED. Multiple values can be passed as a comma-separated string.
Whether state-level matching is applied. Allowed values: true or false.
Whether district-level matching is applied. Allowed values: true or false.
Jurisdiction coverage for search. Allowed values: NEAREST_DISTRICTS, STATE, DISTRICT, PAN_INDIA. Multiple values can be passed as a comma-separated string.
Risk levels returned by algorithm. Allowed values: VERY_HIGH_RISK, HIGH_RISK, MEDIUM_RISK, LOW_RISK, VERY_LOW_RISK. Multiple values can be passed as a comma-separated string.